org.icefaces.ace.util

## Class ARIA

- java.lang.Object
- - org.icefaces.ace.util.ARIA

-     public class ARIA
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LABELLEDBY_ATTR`
    `static java.lang.String` | `PRESENTATION_ROLE`
    `static java.lang.String` | `ROLE_ATTR`
    `static java.lang.String` | `SLIDER_ROLE`
    `static java.lang.String` | `TAB_ROLE`
    `static java.lang.String` | `TABLIST_ROLE`
    `static java.lang.String` | `TABPANEL_ROLE`
    `static java.lang.String` | `VALUEMAX_ATTR`
    `static java.lang.String` | `VALUEMIN_ATTR`
    `static java.lang.String` | `VALUENOW_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ARIA()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAB_ROLE

          public static final java.lang.String TAB_ROLE

      See Also:
        Constant Field Values

    - #### TABLIST_ROLE

          public static final java.lang.String TABLIST_ROLE

      See Also:
        Constant Field Values

    - #### PRESENTATION_ROLE

          public static final java.lang.String PRESENTATION_ROLE

      See Also:
        Constant Field Values

    - #### TABPANEL_ROLE

          public static final java.lang.String TABPANEL_ROLE

      See Also:
        Constant Field Values

    - #### SLIDER_ROLE

          public static final java.lang.String SLIDER_ROLE

      See Also:
        Constant Field Values

    - #### LABELLEDBY_ATTR

          public static final java.lang.String LABELLEDBY_ATTR

      See Also:
        Constant Field Values

    - #### ROLE_ATTR

          public static final java.lang.String ROLE_ATTR

      See Also:
        Constant Field Values

    - #### VALUENOW_ATTR

          public static final java.lang.String VALUENOW_ATTR

      See Also:
        Constant Field Values

    - #### VALUEMAX_ATTR

          public static final java.lang.String VALUEMAX_ATTR

      See Also:
        Constant Field Values

    - #### VALUEMIN_ATTR

          public static final java.lang.String VALUEMIN_ATTR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ARIA

          public ARIA()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.